Get My Api Collection By Id
GET /obp/v7.0.0/my/api-collections/API_COLLECTION_ID
OBPv4.0.0-getMyApiCollectionById No role required Api-Collection
Get Api Collection By API_COLLECTION_ID.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
API_COLLECTION_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (5)
- api_collection_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- api_collection_name
- Favourites
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_sharable
- is_sharable
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
"api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"api_collection_name": "Favourites",
"is_sharable": true,
"description": "Description of the object. Maximum length is 2000. It can be any characters here."
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20057: User not found by userId.
- OBP-50000: Unknown Error.